Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066121 - Unlocking my root volume fails
Summary: Unlocking my root volume fails
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 18:42 UTC by David Strauss
Modified: 2015-06-29 15:15 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:15:47 UTC


Attachments (Terms of Use)
LUKS fails to unlock (deleted)
2014-02-17 18:42 UTC, David Strauss
no flags Details

Description David Strauss 2014-02-17 18:42:23 UTC
Created attachment 864229 [details]
LUKS fails to unlock

Description of problem:
After rebooting, I get the LUKS unlock password prompt, enter the password, and then see a the Fedora boot progress dialog keep creeping along but never finishing. If I press Esc, I see the system repeatedly trying to set up LUKS (as shown in attachment).

Version-Release number of selected component (if applicable):
Name        : cryptsetup
Arch        : x86_64
Version     : 1.6.3
Release     : 1.fc20

How reproducible:
Happens every time I reboot, especially if I wait a bit to enter the password. If I reboot again and enter the password immediately, things seem to come up fine.

Steps to Reproduce:
1. Install Fedora with a LUKS-encrypted root volume.
2. Reboot.
3. Try to unlock the volume.

Comment 1 Milan Broz 2014-02-17 20:16:16 UTC
This looks like some magic have broken between plymouth and systemd (+systemd-cryptsetup). (Cryptsetup is here related indirectly through libcryptsetup/systemd-cryptsetup... so I think primarily it is problem there...)

I hope someone from systemd camp can help to debug this better.

Comment 2 Fedora End Of Life 2015-05-29 10:57:21 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 15:15:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.